package com.jy.business.payment.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.business.payment.model.dto.PaymentRequestsDto;
import com.jy.business.payment.model.dto.PaymentRequestsSelectDto;
import com.jy.business.payment.model.entity.PaymentRemit;
import com.jy.business.payment.model.vo.PaymentRequestsVo;
import com.jy.flow.model.dto.RetrieveDto;

import java.util.List;

/**
 * <p>
 * 请款 服务类
 * </p>
 *
 * @author
 * @since 2024-10-18
 */
public interface PaymentRequestsService {

    /**
     * 请款分页
     */
    Page<PaymentRequestsVo> getPage(PaymentRequestsSelectDto dto);

    /**
     * 请款明细
     */
    PaymentRequestsVo getDetail(Long id);

    /**
     * 请款新增
     */
    void add(PaymentRequestsDto dto);

    /**
     * 请款编辑
     */
    void edit(PaymentRequestsDto dto);

    /**
     * 请款删除
     */
    void delete(List<Long> idList);

    /**
     * 打款分页
     */
    Page<PaymentRequestsVo> getRemitPage(PaymentRequestsSelectDto dto);

    /**
     * 打款
     */
    void remit(PaymentRemit dto);

    /**
     * 撤回流程
     */
    void retrieve(RetrieveDto dto);

}
